iOS Development

android – putting in ffi failing when bundle set up has run

Spread the love


I’m making an attempt to run bundle set up on my new react native venture, nevertheless I hold working into this challenge. I attempted reinstalling xcode command line instruments and up to date ruby with brew too. No reply in stackoverflow appears to work. What ought to i do extra

The error is listed under

Fetching activesupport 7.0.8
Putting in activesupport 7.0.8
Gem::Ext::BuildError: ERROR: Did not construct gem native extension.

    present listing: /Customers/Umar/Desktop/Open Tasks/Matan Mission/mobile-matan/vendor/bundle/ruby/3.3.0/gems/ffi-1.16.3/ext/ffi_c
/usr/native/choose/ruby/bin/ruby extconf.rb
checking for pkg-config for libffi... ["-I/Library/Developer/CommandLineTools/SDKs/MacOSX11.sdk/usr/include/ffi ", "", "-lffi"]
checking for ffi_prep_closure_loc() in -lffi... no
checking for ffi_prep_closure_loc() in -llibffi... no
checking for ffi_prep_closure_loc() in -llibffi-8... no
checking for whether or not -Wl,--exclude-libs,ALL is accepted as LDFLAGS... no
checking for rb_gc_mark_movable()... sure
checking for whether or not -pthread is accepted as LDFLAGS... sure
creating extconf.h
creating Makefile

present listing: /... Mission/mobile-matan/vendor/bundle/ruby/3.3.0/gems/ffi-1.16.3/ext/ffi_c
make DESTDIR= sitearchdir=./.gem.20240208-29332-hu6i1m sitelibdir=./.gem.20240208-29332-hu6i1m clear

present listing: /Customers/.../mobile-matan/vendor/bundle/ruby/3.3.0/gems/ffi-1.16.3/ext/ffi_c
make DESTDIR= sitearchdir=./.gem.20240208-29332-hu6i1m sitelibdir=./.gem.20240208-29332-hu6i1m
/bin/sh: -c: line 0: surprising EOF whereas in search of matching `"'
/bin/sh: -c: line 1: syntax error: surprising finish of file
make: *** ["/Users/Umar/Desktop/Open] Error 2

make failed, exit code 2

Gem information will stay put in in /.../mobile-matan/vendor/bundle/ruby/3.3.0/gems/ffi-1.16.3 for inspection.
Outcomes logged to /.../mobile-matan/vendor/bundle/ruby/3.3.0/extensions/x86_64-darwin-23/3.3.0/ffi-1.16.3/gem_make.out

  /usr/native/Cellar/ruby/3.3.0/lib/ruby/3.3.0/rubygems/ext/builder.rb:125:in `run'
  /usr/native/Cellar/ruby/3.3.0/lib/ruby/3.3.0/rubygems/ext/builder.rb:51:in `block in make'
  /usr/native/Cellar/ruby/3.3.0/lib/ruby/3.3.0/rubygems/ext/builder.rb:43:in `every'
  /usr/native/Cellar/ruby/3.3.0/lib/ruby/3.3.0/rubygems/ext/builder.rb:43:in `make'
  /usr/native/Cellar/ruby/3.3.0/lib/ruby/3.3.0/rubygems/ext/ext_conf_builder.rb:42:in `construct'
  /usr/native/Cellar/ruby/3.3.0/lib/ruby/3.3.0/rubygems/ext/builder.rb:193:in `build_extension'
  /usr/native/Cellar/ruby/3.3.0/lib/ruby/3.3.0/rubygems/ext/builder.rb:227:in `block in build_extensions'
  /usr/native/Cellar/ruby/3.3.0/lib/ruby/3.3.0/rubygems/ext/builder.rb:224:in `every'
  /usr/native/Cellar/ruby/3.3.0/lib/ruby/3.3.0/rubygems/ext/builder.rb:224:in `build_extensions'
  /usr/native/Cellar/ruby/3.3.0/lib/ruby/3.3.0/rubygems/installer.rb:852:in `build_extensions'
  /usr/native/Cellar/ruby/3.3.0/lib/ruby/3.3.0/bundler/rubygems_gem_installer.rb:76:in `build_extensions'
  /usr/native/Cellar/ruby/3.3.0/lib/ruby/3.3.0/bundler/rubygems_gem_installer.rb:28:in `set up'
  /usr/native/Cellar/ruby/3.3.0/lib/ruby/3.3.0/bundler/supply/rubygems.rb:205:in `set up'
  /usr/native/Cellar/ruby/3.3.0/lib/ruby/3.3.0/bundler/installer/gem_installer.rb:54:in `set up'
  /usr/native/Cellar/ruby/3.3.0/lib/ruby/3.3.0/bundler/installer/gem_installer.rb:16:in `install_from_spec'
  /usr/native/Cellar/ruby/3.3.0/lib/ruby/3.3.0/bundler/installer/parallel_installer.rb:132:in `do_install'
  /usr/native/Cellar/ruby/3.3.0/lib/ruby/3.3.0/bundler/installer/parallel_installer.rb:123:in `block in worker_pool'
  /usr/native/Cellar/ruby/3.3.0/lib/ruby/3.3.0/bundler/employee.rb:62:in `apply_func'
  /usr/native/Cellar/ruby/3.3.0/lib/ruby/3.3.0/bundler/employee.rb:57:in `block in process_queue'
  <inner:kernel>:187:in `loop'
  /usr/native/Cellar/ruby/3.3.0/lib/ruby/3.3.0/bundler/employee.rb:54:in `process_queue'
  /usr/native/Cellar/ruby/3.3.0/lib/ruby/3.3.0/bundler/employee.rb:90:in `block (2 ranges) in create_threads'

An error occurred whereas putting in ffi (1.16.3), and Bundler can not proceed.

In Gemfile:
  cocoapods was resolved to 1.14.3, which depends upon
    cocoapods-core was resolved to 1.14.3, which depends upon
      typhoeus was resolved to 1.4.1, which depends upon
        ethon was resolved to 0.16.0, which depends upon
          ffi

Leave a Reply

Your email address will not be published. Required fields are marked *